Bug 25053 - PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear
Summary: PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear
Status: Pushed to oldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: David Roberts
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-04-03 18:51 UTC by Andrew Fuerste-Henry
Modified: 2020-05-13 22:25 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.06, 19.05.11


Attachments
Bug 25053: PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear (1.92 KB, patch)
2020-04-04 23:16 UTC, David Roberts
Details | Diff | Splinter Review
Bug 25053: PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear (1.97 KB, patch)
2020-04-05 02:41 UTC, David Nind
Details | Diff | Splinter Review
Bug 25053: Clarify the description of syspref PatronSelfRegistrationExpireTemporaryAccountsDelay (2.06 KB, patch)
2020-04-13 11:59 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Andrew Fuerste-Henry 2020-04-03 18:51:16 UTC
We've got two methods for automatically deleting self-reg patrons. The first deletes any patron who is still in the self-reg category more than X days past account creation. The second deletes any self-reg patron who has not verified their account via email with X days of account creation.
The syspref PatronSelfRegistrationExpireTemporaryAccountsDelay deals with that first deletion method. It gets used in C4::Members::DeleteExpiredOpacRegistrations if the --del-exp-selfreg flag is set in cleanup_database.pl. This sub does not check whether or not the patron has verified via the verification email. As such, it's confusing that the syspref text says "Delete patrons registered via the OPAC, but not yet verified after X days."

I suggest changing this wording to "Delete patrons still in the category indicated by PatronSelfRegistrationDefaultCategory X days after account creation."
Comment 1 David Roberts 2020-04-04 23:16:06 UTC
Created attachment 102405 [details] [review]
Bug 25053: PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear

This patch changes the wording of this system preference.

To test:

1) Check the current wording of this system preference.
2) Install the patch.
3) Check that the wording of this system preference has changed to "Delete patrons still in the category indicated by PatronSelfRegistrationDefaultCategory X days after account creation."
Comment 2 David Nind 2020-04-05 02:41:20 UTC
Created attachment 102407 [details] [review]
Bug 25053: PatronSelfRegistrationExpireTemporaryAccountsDelay system preference is unclear

This patch changes the wording of this system preference.

To test:

1) Check the current wording of this system preference.
2) Install the patch.
3) Check that the wording of this system preference has changed to "Delete patrons still in the category indicated by PatronSelfRegistrationDefaultCategory X days after account creation."

Signed-off-by: David Nind <david@davidnind.com>
Comment 3 Jonathan Druart 2020-04-13 11:59:40 UTC
Created attachment 102822 [details] [review]
Bug 25053: Clarify the description of syspref PatronSelfRegistrationExpireTemporaryAccountsDelay

This patch changes the wording of this system preference.

To test:

1) Check the current wording of this system preference.
2) Install the patch.
3) Check that the wording of this system preference has changed to "Delete patrons still in the category indicated by PatronSelfRegistrationDefaultCategory X days after account creation."

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Amended commit title.
Comment 4 Martin Renvoize 2020-04-14 16:23:48 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2020-05-05 22:07:52 UTC
backported to 19.11.x for 19.11.06
Comment 6 Lucas Gass 2020-05-13 22:25:47 UTC
backported to 19.05.x. for 19.05.11